import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotAlarm/` + url, ...arg)

/**
 * 异常报警Api接口管理器
 *
 * @author xiang
 * @date  2023/09/19 16:23
 **/
export default {
	// 获取异常报警分页
	depotAlarmPage(data) {
		return request('page', data, 'get')
	},
	// 获取异常报警列表
	depotAlarmList(data) {
		return request('list', data, 'get')
	},
	// 提交异常报警表单 edit为true时为编辑，默认为新增
	depotAlarmSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除异常报警
	depotAlarmDelete(data) {
		return request('delete', data)
	},
	// 获取异常报警详情
	depotAlarmDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取异常待处理统计数据
	getAlarmAddCountGroupType(data) {
		return request('getAlarmAddCountGroupType', data, 'get')
	}
}
